Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003241Doomseeker[All Projects] Bugpublic2017-09-01 15:232017-10-09 05:41
ReporterWubTheCaptain 
Assigned ToBlzut3 
PrioritynormalSeveritytextReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86_64 (really cross-platform)OSDebian GNU/LinuxOS Versionbuster/sid
Product Version1.1 
Target Version1.2Fixed in Version1.2 
Summary0003241: Desktop entry (Doomseeker.desktop) doesn't follow the "reverse DNS" naming convention of Desktop Entry Specification
DescriptionI propose Doomseeker.desktop should be named org.drdteam.Doomseeker.desktop instead, to be in comformance of the desktop entry specification?
Steps To Reproduce

  1. wgethttp://doomseeker.drdteam.org/files/doomseeker-1.1_src.tar.bz2 [^] # Retrieves the source archive

  2. tar xvfj doomseeker-1.1_src.tar.bz2 # Extracts the archive

  3. ls media/Doomseeker.desktop # Lists the desktop entry on disk



It is also installed to /usr/share/applications/Doomseeker.desktop.
Additional Informationhttps://standards.freedesktop.org/desktop-entry-spec/latest/ar01s02.html [^]

I don't personally know of any applications which use the reverse DNS naming convention. All I have in /usr/share/applications/ is <package>.desktop.
Attached Files

- Relationships
child of 0003279acknowledged List of Debian issues (misc/non-policy) 

-  Notes
User avatar (0018488)
Blzut3 (administrator)
2017-10-09 01:03

Likewise on my system the only applications that follow the convention seem to be KDE's, but I suppose there's no reason not to follow it so done:https://bitbucket.org/Doomseeker/doomseeker/commits/5e11eda408b05cfd5840f11fa547cf16f4213322 [^]
User avatar (0018498)
WubTheCaptain (developer)
2017-10-09 05:14
edited on: 2017-10-09 05:41

Works fine with my test in Xubuntu 16.04.3 LTS LiveCD (after the initial hurdle of setting CMAKE_INSTALL_PREFIX to /usr as a workaround to another issue), created a copy to the desktop. Verified it's installed correctly too with reverse DNS name.


Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2017-09-01 15:23 WubTheCaptain New Issue
2017-09-01 16:30 Zalewa Relationship added child of 0003246
2017-09-27 22:05 WubTheCaptain Relationship added child of 0003279
2017-09-27 22:05 WubTheCaptain Relationship deleted child of 0003246
2017-10-09 00:54 Blzut3 Assigned To => Blzut3
2017-10-09 00:54 Blzut3 Status new => assigned
2017-10-09 01:03 Blzut3 Note Added: 0018488
2017-10-09 01:03 Blzut3 Status assigned => needs testing
2017-10-09 01:03 Blzut3 Target Version => 1.2
2017-10-09 05:14 WubTheCaptain Note Added: 0018498
2017-10-09 05:14 WubTheCaptain Status needs testing => resolved
2017-10-09 05:14 WubTheCaptain Fixed in Version => 1.2
2017-10-09 05:14 WubTheCaptain Resolution open => fixed
2017-10-09 05:41 WubTheCaptain Note Edited: 0018498 View Revisions






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker